# List beneficiaries **GET /api/v1/beneficiaries** Returns confirmed beneficiaries belonging to the authenticated API key owner. ## Servers - http://api.example.com: http://api.example.com () ## Parameters ### Headers - **X-API-KEY** (string) Public API key issued from the Lumepay API key management flow. - **X-API-SECRET** (string) API secret paired with the public API key. ### Query parameters - **currency** (string) Optional beneficiary currency code filter. ## Responses ### 200 Beneficiaries returned successfully #### Body: application/json (array[object]) - **id** (string) Beneficiary id used by external beneficiary endpoints. - **currency** (string) Saved beneficiary currency. - **nickname** (string) Beneficiary nickname. - **withdrawFormDetails** (object) - **createdAt** (string(date-time)) Beneficiary creation timestamp. ### 403 Authenticated API key is not allowed to perform this action #### Body: application/json (object) - **code** (integer(int32)) - **message** (string) - **httpStatus** (integer(int32)) - **requestId** (string) - **timestamp** (string(date-time)) - **errors** (array[object]) ### 500 Unexpected server error #### Body: application/json (object) - **code** (integer(int32)) - **message** (string) - **httpStatus** (integer(int32)) - **requestId** (string) - **timestamp** (string(date-time)) - **errors** (array[object]) ### 401 API key authentication failed #### Body: application/json (object) - **code** (integer(int32)) - **message** (string) - **httpStatus** (integer(int32)) - **requestId** (string) - **timestamp** (string(date-time)) - **errors** (array[object]) ### 400 Request validation failed #### Body: application/json (object) - **code** (integer(int32)) - **message** (string) - **httpStatus** (integer(int32)) - **requestId** (string) - **timestamp** (string(date-time)) - **errors** (array[object]) [Powered by Bump.sh](https://bump.sh)